#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct{
  char ime[20];
  int oc[9];
}UCENICI;


int main() {
 UCENICI* ucenik;
 int n, i, j;
 
 FILE* dat = fopen("ucenici.txt", "r");
 if(dat == NULL) {
   printf("Greska prilikom otvaranje datoteke\n");
   exit(EXIT_FAILURE);
 }
 
 fscanf(dat, "%d", &n);
 
 for(i=0; i<n; i++)
   for(j=0; j<n; j++)
    fscanf(dat, "%s%d", &ucenik[i].ime, &ucenik[i].oc);
 
 float prosek = 0.0;
 
 for(i=0; i<n; i++){
  if(ucenik[i].oc == 1)
    printf("NEDOVOLJNI: %s ", ucenik[i].ime);
  putchar('\n');
 }
 
 for(i=0; i<n; i++) {
  prosek += (float)ucenik[i].oc;
  prosek /= 9.0;
  if(prosek >= 4.5)
    printf("ODLICNI: %s ", ucenik[i].ime);
  putchar('\n');
 }
 
 fclose(dat);
 
 return 0;
}